Bug 177481 - Create bindings for WebGL2's versions of compressedTexImage2D.
Summary: Create bindings for WebGL2's versions of compressedTexImage2D.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ms2ger (he/him; ⌚ UTC+1/+2)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-09-26 02:26 PDT by Ms2ger (he/him; ⌚ UTC+1/+2)
Modified: 2017-10-06 03:31 PDT (History)
10 users (show)

See Also:


Attachments
Patch (7.25 KB, patch)
2017-09-26 02:38 PDT, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details | Formatted Diff | Diff
Patch (7.10 KB, patch)
2017-09-27 01:53 PDT, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details | Formatted Diff | Diff
Patch (7.23 KB, patch)
2017-10-06 02:06 PDT, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details | Formatted Diff | Diff
Patch (7.24 KB, patch)
2017-10-06 02:50 PDT, Ms2ger (he/him; ⌚ UTC+1/+2)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger (he/him; ⌚ UTC+1/+2) 2017-09-26 02:26:12 PDT
.
Comment 1 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-09-26 02:38:22 PDT
Created attachment 321807 [details]
Patch
Comment 2 Zan Dobersek 2017-09-27 01:24:47 PDT
Comment on attachment 321807 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=321807&action=review

> Source/WebCore/html/canvas/WebGLRenderingContext.idl:40
> +    void compressedTexImage2D(GLenum target, GLint level, GLenum internalformat,
> +                              GLsizei width, GLsizei height, GLint border,
> +                              ArrayBufferView data);

This deserves a comment, explaining why it can't be placed under WebGLRenderingContextBase. It should also probably be written out in a single line.

I'll defer to Dino or Alex to confirm this approach is optimal.
Comment 3 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-09-27 01:53:05 PDT
Created attachment 321943 [details]
Patch
Comment 4 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-09-28 05:48:17 PDT
Dino?
Comment 5 Zan Dobersek 2017-10-05 04:08:01 PDT
Comment on attachment 321943 [details]
Patch

Let's move on with this. Please also add a comment to the addition in WebGLRenderingContext.idl.
Comment 6 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-10-06 02:06:51 PDT
Created attachment 322999 [details]
Patch
Comment 7 WebKit Commit Bot 2017-10-06 02:08:42 PDT
Comment on attachment 322999 [details]
Patch

Rejecting attachment 322999 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 322999, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Zan Dobersek found in /Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog does not appear to be a valid reviewer according to contributors.json.
/Volumes/Data/EWS/WebKit/Source/WebCore/ChangeLog neither lists a valid reviewer nor contains the string "Unreviewed" or "Rubber stamp" (case insensitive).

Full output: http://webkit-queues.webkit.org/results/4779182
Comment 8 Ms2ger (he/him; ⌚ UTC+1/+2) 2017-10-06 02:50:18 PDT
Created attachment 323003 [details]
Patch
Comment 9 WebKit Commit Bot 2017-10-06 03:22:40 PDT
Comment on attachment 323003 [details]
Patch

Clearing flags on attachment: 323003

Committed r222974: <http://trac.webkit.org/changeset/222974>
Comment 10 WebKit Commit Bot 2017-10-06 03:22:42 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2017-10-06 03:31:56 PDT
<rdar://problem/34853331>